> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get cart with items

> Get cart with items

### Path parameters

<ParamField path="id" type="string (uuid)" required>
  Cart ID
</ParamField>

### Responses

<ResponseField name="200" type="ApiResponse_CartDetailedResponse">
  Cart retrieved
</ResponseField>

<ResponseField name="404" type="ErrorResponse">
  Cart not found
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/carts/{id}' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "data": {
      "cart": {
        "created_at": "2024-12-09T10:30:00Z",
        "currency": "USD",
        "discount_total": "15.00",
        "expires_at": "2024-12-16T10:30:00Z",
        "id": "770e8400-e29b-41d4-a716-446655440000",
        "shipping_total": "9.99",
        "status": "active",
        "subtotal": "149.98",
        "tax_total": "12.00",
        "total": "156.97",
        "updated_at": "2024-12-09T11:45:00Z"
      },
      "items": [
        {
          "created_at": "2024-12-09T10:30:00Z",
          "id": "880e8400-e29b-41d4-a716-446655440000",
          "line_total": "149.98",
          "quantity": 2,
          "unit_price": "74.99",
          "updated_at": "2024-12-09T10:30:00Z",
          "variant_id": "660e8400-e29b-41d4-a716-446655440001"
        }
      ]
    },
    "errors": null,
    "message": null,
    "meta": null,
    "success": true
  }
  ```
</ResponseExample>
